using System;
using System.Windows;

internal sealed class Delegate529 : MulticastDelegate
{
	public extern void Invoke(object object_0, RoutedEventHandler routedEventHandler_0);

	public static void smethod_0(object object_0, RoutedEventHandler routedEventHandler_0, Delegate529 delegate529_1)
	{
		delegate529_1(object_0, routedEventHandler_0);
	}

	public extern Delegate529(object object_0, IntPtr intptr_0);

	static Delegate529()
	{
		Class10.smethod_13(typeof(Delegate529).TypeHandle);
	}

	internal static Delegate529 delegate529_0;
}
